Security update for nodejs12

SUSE Security Update: Security update for nodejs12
Announcement ID: SUSE-SU-2021:0649-1
Rating: important
References: #1182333 #1182619 #1182620
Cross-References:CVE-2021-22883 CVE-2021-22884 CVE-2021-23840
Affected Products:
  • SUSE Linux Enterprise Module for Web Scripting 12

An update that fixes three vulnerabilities is now available.

Description:

This update for nodejs12 fixes the following issues:
New upstream LTS version 12.21.0:

  • CVE-2021-22883: HTTP2 'unknownProtocol' cause Denial of Service by resource exhaustion (bsc#1182619)
  • CVE-2021-22884: DNS rebinding in --inspect (bsc#1182620)
  • CVE-2021-23840: OpenSSL - Integer overflow in CipherUpdate (bsc#1182333)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Web Scripting 12:
    zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2021-649=1

Package List:

  • SUSE Linux Enterprise Module for Web Scripting 12 (aarch64 ppc64le s390x x86_64):
    • nodejs12-12.21.0-1.29.2
    • nodejs12-debuginfo-12.21.0-1.29.2
    • nodejs12-debugsource-12.21.0-1.29.2
    • nodejs12-devel-12.21.0-1.29.2
    • npm12-12.21.0-1.29.2
  • SUSE Linux Enterprise Module for Web Scripting 12 (noarch):
    • nodejs12-docs-12.21.0-1.29.2

References: